# Type Alias RunResult

type RunResult = {
context: GenObj;
contextField?: string;
currentStep: number;
maxSteps: number;
previewURL?: string;
renderBuilder?: GenObj;
renderForm?: any;
savingErrors?: any;
stepName: string;
title: string;
}

- Defined in model-abstracts/abstract_workflow.ts:4

##### Index

### Properties

context
contextField?
currentStep
maxSteps
previewURL?
renderBuilder?
renderForm?
savingErrors?
stepName
title

## Properties

### context

context: GenObj

- Defined in model-abstracts/abstract_workflow.ts:6

### `Optional` contextField

contextField?: string

- Defined in model-abstracts/abstract_workflow.ts:12

### currentStep

currentStep: number

- Defined in model-abstracts/abstract_workflow.ts:8

### maxSteps

maxSteps: number

- Defined in model-abstracts/abstract_workflow.ts:9

### `Optional` previewURL

previewURL?: string

- Defined in model-abstracts/abstract_workflow.ts:13

### `Optional` renderBuilder

renderBuilder?: GenObj

- Defined in model-abstracts/abstract_workflow.ts:11

### `Optional` renderForm

renderForm?: any

- Defined in model-abstracts/abstract_workflow.ts:5

### `Optional` savingErrors

savingErrors?: any

- Defined in model-abstracts/abstract_workflow.ts:14

### stepName

stepName: string

- Defined in model-abstracts/abstract_workflow.ts:7

### title

title: string

- Defined in model-abstracts/abstract_workflow.ts:10